class lldp::defaults {
  $autoupdate = false

  case $::osfamily {
    'FreeBSD': {
      $package_name = 'openlldp'
      $service_name = 'lldpd'
      $pidfile      = false
    }
    'Debian': {
      $package_name = 'lldpd'
      $service_name = 'lldpd'
      $pidfile      = '/var/run/lldpd.pid'
    }
    default: { fail("lldp: unsuported OS family ${::osfamily}") }
  }
}
